# Content offer result

An action block that gives the offered content to the requesting app.

This block will complete any request started by a preceding Content offer block in the same fiber.

When giving content that is a file URI or provided by Automate, ensure to enable the appropriate flags otherwise it may be inaccessible to the requesting app.

## Input arguments

- Content URI — URI or filename to give to the requesting app, default is to cancel the request without content.
- Content MIME type — the actual MIME type of the resulting content, default is resolved from the URI.
- Flags — grant flags.